Get CRM object metadata
curl --request GET \
--url https://public-api.frictio.ai/v2/objects/{object} \
--header 'X-Api-Key: <api-key>' \
--header 'X-Workspace-Id: <x-workspace-id>'import requests
url = "https://public-api.frictio.ai/v2/objects/{object}"
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Workspace-Id': '<x-workspace-id>', 'X-Api-Key': '<api-key>'}
};
fetch('https://public-api.frictio.ai/v2/objects/{object}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"name_plural": "<string>",
"label": "<string>",
"label_plural": "<string>",
"is_custom": true,
"is_active": true,
"fields": [
{
"name": "pipeline_id",
"label": "<string>",
"type": "<string>",
"is_nullable": true,
"is_unique": true,
"is_custom": true,
"is_active": true,
"options": "<unknown>",
"relation": {
"target_object": "<string>",
"target_resource": "members"
}
}
]
}{
"statusCode": 401,
"message": "Invalid API key",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "Forbidden"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"statusCode": 429,
"message": "Too Many Requests"
}API Reference
Get CRM object metadata
特定の CRM オブジェクトについて、フィールドのメタデータを含む詳細を取得します。
MANY_TO_ONE リレーションのフィールド name は、レコードの fields キーと同じ *_id 形式です。
GET
/
v2
/
objects
/
{object}
Get CRM object metadata
Authorizations
Headers
ワークスペースID
Path Parameters
GET /v2/objects のレスポンスに含まれる data[].name を指定します。
Available options:
deal, pipeline, stage ⌘I